module PlanetExpressExpress
  class DiscountBudget
    def initialize(limit_per_month)
      @limit_per_month = limit_per_month
    end

    def limit_discounts(shipments)
      available_budget = @limit_per_month

      shipments[:all].each do |shipment|
        if shipment.discount > available_budget
          shipment.discount = available_budget
        end
        available_budget -= shipment.discount
      end
    end
  end
end
